# Uses of Enum Class
net.shibboleth.idp.installer.impl.UpdateIdPArguments.OperationType

Packages that use UpdateIdPArguments.OperationType
Package
Description
net.shibboleth.idp.installer.impl
Implementation classes for installation.

## Uses of UpdateIdPArguments.OperationType in net.shibboleth.idp.installer.impl

Fields in net.shibboleth.idp.installer.impl declared as UpdateIdPArguments.OperationType
Modifier and Type
Field
Description
`private UpdateIdPArguments.OperationType`
UpdateIdPArguments.`operation`
What to do.
Methods in net.shibboleth.idp.installer.impl that return UpdateIdPArguments.OperationType
Modifier and Type
Method
Description
`UpdateIdPArguments.OperationType`
UpdateIdPArguments.`getOperation()`
Get operation to perform.
`static UpdateIdPArguments.OperationType`
UpdateIdPArguments.OperationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UpdateIdPArguments.OperationType[]`
UpdateIdPArguments.OperationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.